GLXDESTROYGLXPIXMAP(3G)

NAME
glXDestroyGLXPixmap - destroy a GLX pixmap

C SPECIFICATION

void glXDestroyGLXPixmap(Display * dpy, GLXPixmap pix);

PARAMETERS

dpy
    Specifies the connection to the X server.

pix
    Specifies the GLX pixmap to be destroyed.

DESCRIPTION

If the GLX pixmap pix is not current to any client, glXDestroyGLXPixmap destroys it immediately. Otherwise, pix is destroyed when it becomes not current to any client. In either case, the resource ID is freed immediately.

ERRORS

GLXBadPixmap is generated if pix is not a valid GLX pixmap.

SEE ALSO

glXCreateGLXPixmap(), glXDestroyPixmap(), glXMakeCurrent()

COPYRIGHT

Copyright © 1991-2006 Silicon Graphics, Inc. This document is licensed under the SGI Free Software B License. For details, see http://oss.sgi.com/projects/FreeB/.